package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店采购收货单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDcshStorepurchasereceiptService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDcshStorepurchasereceipt(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcshStorepurchasereceiptMapper.addSKcCrkDcshStorepurchasereceipt", pd);
    }

    public List<PageData> findSKcCrkDcshStorepurchasereceiptList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDcshStorepurchasereceiptMapper.selectSKcCrkDcshStorepurchasereceiptList", pd);
    }

    public Integer SKcCrkDcshStorepurchasereceiptRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDcshStorepurchasereceiptMapper.SKcCrkDcshStorepurchasereceiptRemove", pd);
    }


    public Integer updateSKcCrkDcshStorepurchasereceipt(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDcshStorepurchasereceiptMapper.updateSKcCrkDcshStorepurchasereceipt", pd);
    }

}
